%define		status		beta
%define		pearname	Image_Text
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - comfortable processing of texts in images
Summary(pl.UTF-8):	%{pearname} - komfortowe przetwarzanie tekstu w obrazkach
Name:		php-pear-%{pearname}
Version:	0.6.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	5b07f8fe4d384e89cdb273f3a05b1216
Patch0:		fontpath.patch
URL:		http://pear.php.net/package/Image_Text/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(gd)
Requires:	php-pear
Obsoletes:	php-pear-Image_Text-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class allows you to add text to dynamic generated images more
comfortable. It allows you to process multiline text and manipulate:
- Border
- Shading
- Alignment Another nice feature is to let the class measurize your
  text in respect to font size and line splitting to fit a given text
  box.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ta klasa pozwala na dodanie tekstu do dynamicznie generowanych
obrazków w sposób bardziej komfortowy niż dotychczas. Możliwe jest
przetwarzanie tekstów wielolinijkowych i manipulowanie:
- obramowaniem
- cieniem
- ustawieniem. Inną ciekawą cechą jest pozwolenie klasie na zmierzenie
  tekstu w zależności od rozmiaru czcionki i dzielenie go na linie, aby
  zmieścił się w podanym polu tekstowym.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
%patch0 -p1

mv .%{php_pear_dir}/data/Image_Text/README .

mv docs/%{pearname}/example examples

# tests -> tests/%{pearname}
install -d ./%{php_pear_dir}/tests/.tmp
mv ./%{php_pear_dir}/tests/{*,.tmp}
mv ./%{php_pear_dir}/tests/{.tmp,%{pearname}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Image/*.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 38720cd
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sat Mar 24 2012 Elan Ruusamäe <glen@pld-linux.org> 3326a4e
- up to 0.6.1

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> d87fb23
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 9c4d8b6
- up to 0.6.0 beta release

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 7996bea
- updated deps with pearize.sh
- release 6

* Thu Mar 13 2008 Elan Ruusamäe <glen@pld-linux.org> aa3ba63
- system vera

* Mon Feb 04 2008 Elan Ruusamäe <glen@pld-linux.org> 502a7c9
- rel 4

* Mon Feb 04 2008 Elan Ruusamäe <glen@pld-linux.org> d5f8ff9
- tests subpackage; rel 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b9cbe05
- rel 2

* Mon Sep 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> fa08d0d
- up to 0.6.0beta

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 80bdacc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5e0e4fd
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> c7a78d6
- rel 3: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> b9e428a
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 88c452b
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> e33544d
- BR php-pear-PEAR

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> 651e18d
- update to 0.5.2 beta2

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> a1d1fa9
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> dc7939c
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> cf7bc9a
- new pear packaging

